
QGIS Application - Bug report #18694

[Layout] Data-defined options not updated in items properties when moving from one item to 

another (of the same type)

2018-04-10 05:06 PM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:3.1(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26582

Description

I think the issue of DD buttons not being reset when moving from a picture item to another picture item (#18637) applies to some other

features:

    -  Attribute table: rotation, layer

    -  label item: tested frame color, background color

but i guess some other dd options on other items might be concerned as well (sorry to not check more!)

using commit:4c8b1595 (latest on osgeo4w)

Associated revisions

Revision e991d98c - 2018-10-26 08:58 AM - Nyall Dawson

[layouts] Fix data defined table button loses state

Refs #18694

Revision 5e3fdb96 - 2018-10-26 08:58 AM - Nyall Dawson

[layouts] Fix some data defined buttons don't update when

clicking between objects of same type

Refs #18694

Revision bbdbfa17 - 2018-10-26 08:58 AM - Nyall Dawson

[layouts] Final fixes for data defined widgets showing outdated

data defined definitions when clicking between layout items

of the same type

Fixes #18694

History

#1 - 2018-10-26 04:41 AM - Nyall Dawson

- Assignee set to Nyall Dawson

- Status changed from Open to In Progress
#2 - 2018-10-26 08:57 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|bbdbfa17a966d852f3bf16b2c083fdb532947f5d.
